(function (factory) {
    typeof define === 'function' && define.amd ? define('@yukawa/chain-security-angular-core', factory) :
    factory();
}((function () { 'use strict';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * \@generator rest2ts
     * 	javaType: inc.yukawa.chain.security.domain.Account <br/>
     * @record
     */
    function Account() { }
    if (false) {
        /** @type {?|undefined} */
        Account.prototype.credentials;
        /** @type {?|undefined} */
        Account.prototype.details;
        /** @type {?|undefined} */
        Account.prototype.roleContexts;
        /**
         * @deprecated
         * @type {?|undefined}
         */
        Account.prototype.roles;
        /** @type {?|undefined} */
        Account.prototype.status;
    }
    /**
     * \@generator rest2ts
     * 	javaType: inc.yukawa.chain.security.domain.AccountStatus <br/>
     * @record
     */
    function AccountStatus() { }
    if (false) {
        /** @type {?|undefined} */
        AccountStatus.prototype.accountNonExpired;
        /** @type {?|undefined} */
        AccountStatus.prototype.accountNonLocked;
        /** @type {?|undefined} */
        AccountStatus.prototype.credentialsNonExpired;
        /** @type {?|undefined} */
        AccountStatus.prototype.enabled;
    }
    /**
     * \@generator rest2ts
     * 	javaType: inc.yukawa.chain.security.domain.Credentials <br/>
     * @record
     */
    function Credentials() { }
    if (false) {
        /**
         * \@example yuk
         * @type {?|undefined}
         */
        Credentials.prototype.orgId;
        /**
         * \@example admin
         * @type {?|undefined}
         */
        Credentials.prototype.password;
        /**
         * \@example admin
         * @type {?|undefined}
         */
        Credentials.prototype.username;
    }
    /**
     * \@generator rest2ts
     * 	javaType: inc.yukawa.chain.security.domain.GroupContext <br/>
     * @record
     */
    function GroupContext() { }
    if (false) {
        /** @type {?|undefined} */
        GroupContext.prototype.groups;
        /** @type {?|undefined} */
        GroupContext.prototype.orgId;
    }
    /**
     * \@generator rest2ts
     * 	javaType: inc.yukawa.chain.security.domain.RoleContext <br/>
     * @record
     */
    function RoleContext() { }
    if (false) {
        /** @type {?|undefined} */
        RoleContext.prototype.orgId;
        /** @type {?|undefined} */
        RoleContext.prototype.roles;
    }
    /**
     * \@generator rest2ts
     * 	javaType: inc.yukawa.chain.security.domain.RoleInfo <br/>
     * @record
     */
    function RoleInfo() { }
    if (false) {
        /**
         * \@example main
         * @type {?|undefined}
         */
        RoleInfo.prototype.scope;
    }
    /**
     * \@generator rest2ts
     * 	javaType: inc.yukawa.chain.security.domain.TokenRequest <br/>
     * @record
     */
    function TokenRequest() { }
    if (false) {
        /** @type {?|undefined} */
        TokenRequest.prototype.orgId;
        /** @type {?|undefined} */
        TokenRequest.prototype.roles;
        /**
         * \@example admin
         * @type {?|undefined}
         */
        TokenRequest.prototype.username;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

})));
//# sourceMappingURL=yukawa-chain-security-angular-core.umd.js.map
